Package org.picocontainer.injectors

# Class MethodInjection.MethodInjectionByReflectionMethod

java.lang.Object
org.picocontainer.injectors.AbstractInjectionFactory
org.picocontainer.injectors.MethodInjection.MethodInjectionByReflectionMethod

All Implemented Interfaces:
  `Serializable`, `ComponentFactory`, `InjectionFactory`

Enclosing class:
  `MethodInjection`

public class MethodInjection.MethodInjectionByReflectionMethod extends AbstractInjectionFactory

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MethodInjectionByReflectionMethod(Method injectionMethod)`

## Method Summary

Modifier and Type
Method
Description
`<T> ComponentAdapter<T>`
`createComponentAdapter(ComponentMonitor monitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class<T> componentImplementation, Parameter... parameters)`
Create a new component adapter based on the specified arguments.

### Methods inherited from class org.picocontainer.injectors.AbstractInjectionFactory

`accept, verify, wrapLifeCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodInjectionByReflectionMethod

public MethodInjectionByReflectionMethod(Method injectionMethod)

## Method Details

### createComponentAdapter

public <T> ComponentAdapter<T> createComponentAdapter(ComponentMonitor monitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class<T> componentImplementation, Parameter... parameters) throws PicoCompositionException
Description copied from interface: `ComponentFactory`
Create a new component adapter based on the specified arguments.

Parameters:
  `monitor` - the component monitor
  `lifecycleStrategy` - te lifecycle strategy
  `componentProperties` - the component properties
  `componentKey` - the key to be associated with this adapter. This value should be returned from a call to `ComponentAdapter.getComponentKey()` on the created adapter.
  `componentImplementation` - the implementation class to be associated with this adapter. This value should be returned from a call to `ComponentAdapter.getComponentImplementation()` on the created adapter. Should not be null.
  `parameters` - additional parameters to use by the component adapter in constructing component instances. These may be used, for example, to make decisions about the arguments passed into the component constructor. These should be considered hints; they may be ignored by some implementations. May be null, and may be of zero length.
Returns:
  a new component adapter based on the specified arguments. Should not return null.
Throws:
  `PicoCompositionException` - if the creation of the component adapter results in a `PicoCompositionException`.